//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon-Suk Lee (jl)
//  FILE: PCCond.H
//  PROJ: COKO
//  DATE: 8/97                                                              
//
// SYNOPSIS
// Class definitions for CCond.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCCOND_H_
#define _PCCOND_H_
#define MAXARG 20

#include <fstream.h>
#include <stdlib.h>
#include <iostream.h>
#include <stdarg.h>
#include "KONonType.H"
#include "PCStmt.H"
#include <strstream.h>
#include "NonTypeList.H"

//////////////////////////////////////////////////////////////////////////////
//
//  CLASS: CCond
//
// SYNOPSIS
//
//////////////////////////////////////////////////////////////////////////////

class CCond
{
protected:

  char* _condName;

  NonTypeList* _varList;
  // variable list

private:
  int _varcount;
  int _built_varcount;

public:
  CCond(char * a  ... );                       
  // Constructor
  
  ~CCond();                      
  // Destructor

  int allDone(void);
  // are all variables built yet?

  CState* build(CState*,NonType*);
  // build environment.

  CState *Exec(CState *);
  // What to do when executed

};

#endif
