//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon S. Lee (jl@cs.brown.edu)
//  FILE: PCSkipStmt.C
//  PROJ: COKO
//  DATE: 7/19/98
//
// SYNOPSIS
//  Class definition for CSkipStmt class.
//  
//////////////////////////////////////////////////////////////////////////////

#include <assert.h>
#include "PCState.H"
#include "PCStmt.H"
#include "PCSkipStmt.H"

//////////////////////////////////////////////////////////////////////////////
//                                                                          
// Function Name: CSkipStmt
// Parameters: (void)
//
// Constructor.
//         								    
//////////////////////////////////////////////////////////////////////////////

CSkipStmt::CSkipStmt(void)
{
}


//////////////////////////////////////////////////////////////////////////////
//                                                                          
// Function Name: CSkipStmt
// Parameters: (void)
//
// Destructor.
//         								    
//////////////////////////////////////////////////////////////////////////////

CSkipStmt::~CSkipStmt(void)
{
}

//////////////////////////////////////////////////////////////////////////////
//                                                                          
// Function Name: Exec
// Parameters: (CState*)
//
// Do Nothing.
// Set _Success to true.
//
//////////////////////////////////////////////////////////////////////////////

CState* CSkipStmt::Exec(CState *s)
{
  s->SetSuccess(T);
  // set _Success to True 
  return s;
}
