//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon S. Lee (jl@cs.brown.edu)
//  FILE: PCSkipStmt.H
//  PROJ: COKO
//  DATE: 7/19/98
//
// SYNOPSIS
//  Class definition for CSkipStmt class.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCSKIPSTMT_H_
#define _PCSKIPSTMT_H_

#include <PCStmt.H>

//////////////////////////////////////////////////////////////////////////////
//
//  CLASS: CSkipStmt
//
// SYNOPSIS
//  This class is a derived class from CStmt. 
//
//////////////////////////////////////////////////////////////////////////////

class CSkipStmt : public CStmt
{
protected:

public:
  CSkipStmt(void); 
  // Constructor
  ~CSkipStmt(void);         
  // Destructor
  CState *Exec(CState *); 
  // What to do when executed
};

#endif
