//////////////////////////////////////////////////////////////////////////////
//                                                                          
//  NAME: Joon Suk  Lee (jl)                                             
//  FILE: PCPrintStmt.H
//  PROJ: COKO
//  DATE: 9/96                                                   
//
// SYNOPSIS
// 
//  This class is a derived class from CStmt. It is used for coko language 
//  debugging purposes.
//  
//////////////////////////////////////////////////////////////////////////////

#ifndef _PCPRINTSTMT_H_
#define _PCPRINTSTMT_H_

#include "PCStmt.H"
#include "PCRule.H"
#include "PCRuleBlock.H"



class CPrintStmt : public CStmt {
protected:
  char * _iname;         
  // The identifier name 
  
  int _which_print; 
  // what type of print command is it?

public:
  CPrintStmt(int, char *);
  // Constructor

  ~CPrintStmt();
  // Destructor

  CState *Exec(CState *);
  // What to do when executed

};

#endif
